> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# importfields

> MDO provider for column headers used in import

## "importfields" MDO List

MDO provider for column headers used in import

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ImportFieldsProvider">ImportFieldsProvider</see> class.
The name of the MDO list is 'importfields'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/importfields
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("importfields", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id  | Name                            | StyleHint | ExtraInfo                  |
| --- | ------------------------------- | --------- | -------------------------- |
| 520 | Company: companyshorttext       |           | \[SR\_UDEF\_TEXT\_SHORT]   |
| 521 | Company: companylongtext        |           | \[SR\_UDEF\_TEXT\_LONG]    |
| 522 | Company: companynumber          |           | \[SR\_UDEF\_NUMBER]        |
| 523 | Company: companydate            |           | \[SR\_UDEF\_DATE]          |
| 524 | Company: companyunlimiteddate   |           | \[SR\_UDEF\_UNLIMITEDDATE] |
| 525 | Company: companycheckbox        |           | \[SR\_UDEF\_CHECKBOX]      |
| 526 | Company: companydropdownlistbox |           | \[SR\_UDEF\_LIST]          |
| 527 | Company: companydecimal         |           | \[SR\_UDEF\_FLOAT]         |
| 528 | Company: page1saleonly          |           | \[SR\_UDEF\_TEXT\_SHORT]   |
| 529 | Company: page1marketingonly     |           | \[SR\_UDEF\_TEXT\_SHORT]   |
| 530 | Company: page1adminonly         |           | \[SR\_UDEF\_TEXT\_SHORT]   |
| 531 | Company: Udlist one             |           | \[SR\_UDEF\_LIST]          |
| 532 | Company: Udlist two             |           | \[SR\_UDEF\_LIST]          |
| 0   | Company: Business               |           |                            |
| 1   | Company: Category               |           |                            |
| 2   | Company: Country                |           |                            |
| 3   | Company: Department             |           |                            |
| 4   | Company: Info                   |           |                            |
| 5   | Company: Name                   |           |                            |
| 6   | Company: E-mail                 |           | multiple                   |
| 7   | Company: Telephone              |           | multiple                   |

## Related MDO Lists

* "importfieldsheadings"
* "importfieldsheadingswithallitem"
* "importfieldsheadingswithallitemwithnoselection"
* "importfieldsheadingswithnoselection"
* "importfieldswithallitem"
* "importfieldswithallitemwithnoselection"
* "importfieldswithnoselection"


## Related topics

- [ImportField table](/en/database/tables/importfield.md)
- [ImportObject table](/en/database/tables/importobject.md)
- [Enum LocalizedTextType](/en/automation/crmscript/reference/CRMScript.NetServer.LocalizedTextType.md)
- [Get Localized Text By Type](/en/api/reference/restful/agent/list_agent/get-localized-text-by-type.md)
- [SuperOffice.WebApi.Data.LocalizedTextType](/en/api/reference/webapi/SuperOffice.WebApi.Data.LocalizedTextType.md)
- [Get Localized Texts By Type](/en/api/reference/restful/agent/list_agent/get-localized-texts-by-type.md)
